// Add the Path to Read in Datasets Here (Output Will Go In Same Folder)
cd "/Users/marcmere/Box Sync/QJPS Paper/Replication Data-1/"
cap log close
log using "IowaApplications.log", replace

/* 
Results for:
// Table 2 */

clear all
set more off

use "MergeApprovalsDenials01162014.dta"
// Only People Discharged from 2002 and 2003
keep if real(reverse(substr(reverse(dischargedate), 1, 4))) >= 2002 & /*
*/ real(reverse(substr(reverse(dischargedate), 1, 4))) <= 2003

// Total Number of Discharges
display _N
// Discharge was for a Felony
gen Felony = regexm(offenseclass,"Felony")
// Any Discharge for that Individual was a Felony
egen Felon = max(Felony), by(ID)

// Only Keep Last Discharge for the Same Individuals
duplicates report ID
sort ID dischargedate
drop if ID == ID[_n-1]

// Total Number of Unique Discharges
display _N

// Indicators for Whether Application was Approved, Denied, or Both
gen Approved = 0
replace Approved = 1 if status1 == "A" | status2 == "A" | status3 == "A"

gen Denied = 0
replace Denied = 1 if status1 == "D" | status2 == "D" | status3 == "D"

gen Both = 0 
replace Both = 1 if Approved == 1 & Denied == 1
replace Approved = 0 if Both == 1
replace Denied = 0 if Both == 1

// Indicator for Filing At Least One Application
gen Any = Approved + Denied + Both

// Application Counts for Any Felony Discharge
tab Any if Felon
tab Approved if Any & Felon
tab Both if Any & Felon
tab Denied if Any & Felon

// Application Counts for No Felony Discharge
tab Any if ~Felon
tab Approved if Any & ~Felon
tab Both if Any & ~Felon
tab Denied if Any & ~Felon

log close

