cd "/Users/marcmere/Box Sync/QJPS Paper/Replication Data/"
cap log close
log using "IowaRecidivate.log", replace

/* 
Generates:
Statistics reported in Footnote 20 */

local beginyear = "2009"
local beginmonth = "01"
local endyear = "2010"
local endmonth = "12"
local lowerbound = monthly("`beginyear'-`beginmonth'", "YM")
local upperbound = monthly("`endyear'-`endmonth'", "YM")

use "IAScrapeFelonMatch01232014.dta", clear

gen monthstring = reverse(substr(reverse(dischargedate), 1, 4)) + "-" + subinstr(substr(dischargedate, 1, 2), "/","",1)
gen month = monthly(monthstring, "YM")
keep if month >= `lowerbound' & month <= `upperbound'

gen PostFelony = (lastfelony >= mdy(1, 1, 2011)) & missing(lastfelony) == 0
gen PostMisd = (lastaggmisd >= mdy(1, 1, 2011)) & missing(lastaggmisd) == 0
gen Any = 0
replace Any = 1 if PostFelony == 1 | PostMisd == 1

tab PostFelony if regexm(offenseclass, "Felony")
tab PostMisd if regexm(offenseclass, "Felony") 
tab Any if regexm(offenseclass, "Felony")

tab PostFelony if regexm(offenseclass, "Misdemeanor")
tab PostMisd if regexm(offenseclass, "Misdemeanor")
tab Any if regexm(offenseclass, "Misdemeanor")

log close
