cd "/Users/marcmere/Box Sync/QJPS Paper/Replication Data/"
cap log close
log using "LongRunTurnout.log", replace

/* 
Generates:
// Figure A.1 
// Figure A.2 */

clear all
set more off

use "VFFelonMatchScrape_0.dta", clear
gen disyear = real(reverse(substr(reverse(dischargedate), 1, 4)))
drop if disyear == 2013 | disyear == 2014 | disyear == .
replace y2012 = 1 if y2012 >= 2

gen felony = 0
replace felony = 1 if regexm(sentence,"Felony")
replace felony = 1 if sentence == "Special Sentence 2005"
replace felony = 1 if sentence == "NCIC Virtual Code"
gen felonyX2012 = felony * y2012
egen anyfelony = max(felony), by(ID)
gen aggmisd = 1 if sentence == "Aggravated Misdemeanor" & anyfelony == 0 & SubAggMisd == 0
gen aggmisdX2012 = aggmisd * y2012
collapse (sum) felony felonyX2012 aggmisd aggmisdX2012, by(disyear)
sort disyear
gen felonyrate = felonyX2012 / felony
gen felonyratehi = felonyrate + 1.96 * sqrt(felonyrate * (1 - felonyrate) / felony)
gen felonyratelow = felonyrate - 1.96 * sqrt(felonyrate * (1 - felonyrate) / felony)
gen aggmisdrate = aggmisdX2012 / aggmisd
gen aggmisdratehi = aggmisdrate + 1.96 * sqrt(aggmisdrate * (1 - aggmisdrate) / aggmisd)
gen aggmisdratelow = aggmisdrate - 1.96 * sqrt(aggmisdrate * (1 - aggmisdrate) / aggmisd)
list

twoway (scatter felony disyear, mfcolor(white) mlcolor(black) msymbol(circle))/*
*/(scatter aggmisd disyear, mfcolor(black) mlcolor(black) msymbol(circle)), /*
*/ ytitle("Number of Discharges") ttitle("Year of Discharge") /*
*/ legend(lab(1 "Felons") /*
*/ lab(2 "Aggravated Misdemeanors") region(lstyle(none))) /*
*/ plotregion(color(white)) graphregion(color(white)) ylabel(,nogrid) 

graph export "LongRunObs.eps", replace


twoway (scatter felonyrate disyear if disyear >= 1990, mfcolor(white) mlcolor(black) msymbol(circle))/*
*/ (rspike felonyratehi felonyratelow disyear if disyear >= 1990, lcolor(black)) /*
*/ (scatter aggmisdrate disyear if disyear >= 1990, mfcolor(black) mlcolor(black) msymbol(circle))/*
*/ (rspike aggmisdratehi aggmisdratelow disyear if disyear >= 1990, lcolor(black)), /*
*/ ytitle("Percent Voting in 2012 Presidential Election") ttitle("Year of Discharge") /*
*/ legend(order(1 3) lab(1 "Felons") /*
*/ lab(3 "Aggravated Misdemeanors   (lines denote 95% CI)") region(lstyle(none))) /*
*/ plotregion(color(white)) graphregion(color(white)) ylabel(,nogrid) 

graph export "LongRunTurnout.eps", replace

log close
