// Add the Path to Read in Datasets Here (Output Will Go In Same Folder)
cd "/Users/marcmere/Box Sync/QJPS Paper/Replication Data-1/"
cap log close
log using "MERICompare.log", replace

/* 
Results for:
// Table 6 */

clear all
set more off

matrix Table6 = J(15, 8, -9)

// Iowa (All)

local temp = 0
foreach num of numlist 0 35 -35 {

local temp = `temp' + 1
use "VFFelonMatch01082013_`num'.dta", clear

// Only Keeps 2009 and 2010 Discharges
keep if reverse(substr(reverse(dischargedate), 1, 4)) == "2009" | /*
*/ reverse(substr(reverse(dischargedate), 1, 4)) == "2010"

// Only Keeps Final Discharge
sort ID dischargedate
drop if ID == ID[_n-1]

display _N

qui cap sum registered
matrix Table6[`temp', 1] = r(mean) * 100

qui cap sum dem if registered == 1
matrix Table6[`temp', 2] = r(mean) * 100

qui cap sum rep if registered == 1
matrix Table6[`temp', 3] = r(mean) * 100

qui cap sum np if registered == 1
matrix Table6[`temp', 4] = r(mean) * 100

qui cap sum oth if registered == 1
matrix Table6[`temp', 5] = r(mean) * 100

qui cap sum y2008
matrix Table6[`temp', 6] = r(mean) * 100

qui cap sum y2010
matrix Table6[`temp', 7] = r(mean) * 100

qui cap sum y2012
matrix Table6[`temp', 8] = r(mean) * 100
}

// Iowa (Felons)

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1
use "VFFelonMatch01082013_`num'.dta", clear

// Only Keeps 2009 and 2010 Discharges
keep if reverse(substr(reverse(dischargedate), 1, 4)) == "2009" | /*
*/ reverse(substr(reverse(dischargedate), 1, 4)) == "2010"

// Only Keeps Felonies
keep if regexm(offenseclass,"Felony")

// Only Keeps Final Discharge
sort ID dischargedate
drop if ID == ID[_n-1]

display _N

qui cap sum registered
matrix Table6[`temp', 1] = r(mean) * 100

qui cap sum dem if registered == 1
matrix Table6[`temp', 2] = r(mean) * 100

qui cap sum rep if registered == 1
matrix Table6[`temp', 3] = r(mean) * 100

qui cap sum np if registered == 1
matrix Table6[`temp', 4] = r(mean) * 100

qui cap sum oth if registered == 1
matrix Table6[`temp', 5] = r(mean) * 100

qui cap sum y2008
matrix Table6[`temp', 6] = r(mean) * 100

qui cap sum y2010
matrix Table6[`temp', 7] = r(mean) * 100

qui cap sum y2012
matrix Table6[`temp', 8] = r(mean) * 100
}

// Maine (all)

foreach num of numlist 0 2 -2 {

local temp = `temp' + 1
use "VFFelonMatch_`num'.dta", clear

// Only Keeps 2009 and 2010 Discharges
keep if reverse(substr(reverse(tdate), 1, 2)) == "09" | /*
*/ reverse(substr(reverse(tdate), 1, 2)) == "10"

// Only Keeps Final Discharge
sort ID tdate
drop if ID == ID[_n-1]

display _N

qui cap sum registered
matrix Table6[`temp', 1] = r(mean) * 100

qui cap sum dem if registered == 1
matrix Table6[`temp', 2] = r(mean) * 100

qui cap sum rep if registered == 1
matrix Table6[`temp', 3] = r(mean) * 100

qui cap sum np if registered == 1
matrix Table6[`temp', 4] = r(mean) * 100

qui cap sum oth if registered == 1
matrix Table6[`temp', 5] = r(mean) * 100

qui cap sum y2008
matrix Table6[`temp', 6] = r(mean) * 100

qui cap sum y2010
matrix Table6[`temp', 7] = r(mean) * 100

qui cap sum y2012
matrix Table6[`temp', 8] = r(mean) * 100
}

// Rhode Island (all)

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1
use "VFFelonMatch12232013_`num'.dta", clear

// Only Keeps 2009 and 2010 Discharges
keep if year(ReleaseDate) == 2009 | year(ReleaseDate) == 2010

// Only Keeps Final Discharge
sort ID ReleaseDate
drop if ID == ID[_n-1]

display _N

qui cap sum registered
matrix Table6[`temp', 1] = r(mean) * 100

qui cap sum dem if registered == 1
matrix Table6[`temp', 2] = r(mean) * 100

qui cap sum rep if registered == 1
matrix Table6[`temp', 3] = r(mean) * 100

qui cap sum np if registered == 1
matrix Table6[`temp', 4] = r(mean) * 100

qui cap sum oth if registered == 1
matrix Table6[`temp', 5] = r(mean) * 100

qui cap sum y2008
matrix Table6[`temp', 6] = r(mean) * 100

qui cap sum y2010
matrix Table6[`temp', 7] = r(mean) * 100

qui cap sum y2012
matrix Table6[`temp', 8] = r(mean) * 100
}

// Rhode Island (felons)

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1
use "VFFelonMatch12232013_`num'.dta", clear

// Only Keeps 2009 and 2010 Discharges
keep if year(ReleaseDate) == 2009 | year(ReleaseDate) == 2010

// Only Keeps Felonies
keep if FelonyMisd == "Felony"

// Only Keeps Final Discharge
sort ID ReleaseDate
drop if ID == ID[_n-1]

display _N

qui cap sum registered
matrix Table6[`temp', 1] = r(mean) * 100

qui cap sum dem if registered == 1
matrix Table6[`temp', 2] = r(mean) * 100

qui cap sum rep if registered == 1
matrix Table6[`temp', 3] = r(mean) * 100

qui cap sum np if registered == 1
matrix Table6[`temp', 4] = r(mean) * 100

qui cap sum oth if registered == 1
matrix Table6[`temp', 5] = r(mean) * 100

qui cap sum y2008
matrix Table6[`temp', 6] = r(mean) * 100

qui cap sum y2010
matrix Table6[`temp', 7] = r(mean) * 100

qui cap sum y2012
matrix Table6[`temp', 8] = r(mean) * 100
}

matlist Table6

log close
