// Add the Path to Read in Datasets Here (Output Will Go In Same Folder)
cd "/Users/marcmere/Box Sync/QJPS Paper/Replication Data-1/"
cap log close 
cap log using "OtherStateTurnout.log", replace

/* 
Results for:
// Table A.4
// Table A.7 */


clear all 
set more off

//
// Table A4
// Iowa Discharges Registered/Voting in MO, NY, MN, and OH
//

matrix TableA4 = J(12, 2, -9)

local temp = 0

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1

use "VFFelonMatch01082013_MO_`num'.dta", clear
// Only Keep Post-2002 Discharges
drop if real(reverse(substr(reverse(dischargedate), 1, 4))) <= 2001

// Only Keep Individuals' Last Discharge Date
display _N
duplicates report ID
sort ID dischargedate
drop if ID == ID[_n-1]
display _N

qui sum registered
matrix TableA4[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA4[`temp', 2] = r(N) * r(mean)

}

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1

use "VFFelonMatch01082013_NY_`num'.dta", clear
// Only Keep Post-2002 Discharges
drop if real(reverse(substr(reverse(dischargedate), 1, 4))) <= 2001

// Only Keep Individuals' Last Discharge Date
sort ID dischargedate
drop if ID == ID[_n-1]

qui sum registered
matrix TableA4[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA4[`temp', 2] = r(N) * r(mean)

}

foreach num of numlist 0 2 -2 {

local temp = `temp' + 1

use "VFFelonMatch01082013_MN_`num'.dta", clear
// Only Keep Post-2002 Discharges
drop if real(reverse(substr(reverse(dischargedate), 1, 4))) <= 2001

// Only Keep Individuals' Last Discharge Date
sort ID dischargedate
drop if ID == ID[_n-1]

qui sum registered
matrix TableA4[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA4[`temp', 2] = r(N) * r(mean)

}

foreach num of numlist 0 2 -2 {

local temp = `temp' + 1

use "VFFelonMatch01082013_OH_`num'.dta", clear
// Only Keep Post-2002 Discharges
drop if real(reverse(substr(reverse(dischargedate), 1, 4))) <= 2001

// Only Keep Individuals' Last Discharge Date
sort ID dischargedate
drop if ID == ID[_n-1]

qui sum registered
matrix TableA4[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA4[`temp', 2] = r(N) * r(mean)

}

//
// Table A7
// Rhode Island Discharges Registered/Voting in MO, NY, MN, and OH
//

matrix TableA7 = J(6, 2, -9)

local temp = 0
foreach num of numlist 0 35 -35 {

local temp = `temp' + 1

use "VFFelonMatch_CT_`num'.dta", clear
// Only Keep 2009 and 2010 Discharges
keep if year(ReleaseDate) >= 2009 & year(ReleaseDate) <= 2010

// Only Keep Individuals' Last Discharge Date
display _N
duplicates report ID
sort ID ReleaseDate
drop if ID == ID[_n-1]
display _N

qui sum registered
matrix TableA7[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA7[`temp', 2] = r(N) * r(mean)

}

foreach num of numlist 0 35 -35 {

local temp = `temp' + 1

use "VFFelonMatch_NY_`num'.dta", clear
// Only Keep 2009 and 2010 Discharges
keep if year(ReleaseDate) >= 2009 & year(ReleaseDate) <= 2010

// Only Keep Individuals' Last Discharge Date
sort ID ReleaseDate
drop if ID == ID[_n-1]

qui sum registered
matrix TableA7[`temp', 1] = r(N) * r(mean)

qui sum y2012
matrix TableA7[`temp', 2] = r(N) * r(mean)

}

matlist TableA4
matlist TableA7

log close
